package models

import (
	"github.com/jinzhu/gorm"
)

type ProductTemplate struct {
	gorm.Model
	Name                  string
	ProductTemplateConfig map[string]interface{} `json:",omitempty" sql:"-"`
	Config                string                 `json:"raw_config" gorm:"type:json"`
}

func (ProductTemplate) Update() (bool, error) {
	return false, nil
}
func (ProductTemplate) Create() (bool, error) {
	return false, nil
}
func (ProductTemplate) Delete() (bool, error) {
	return false, nil
}
